Skip to main content
GET
/
v2
/
trade
/
{chain}
/
trader-gainers-losers
Trader - Gainers/Losers
curl --request GET \
  --url https://api.dex.chainstream.io/v2/trade/{chain}/trader-gainers-losers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "address": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
      "chain": "sol",
      "pnl": "12500.50",
      "tradeCount": "150",
      "volume": "85000.00"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
resolution
enum<string>
default:1d

PnL time resolution (1d, 7d, or 30d) Trader PnL resolution period

Available options:
1d,
7d,
30d
sortType
enum<string>
default:desc

Sort order (desc for gainers, asc for losers) Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)

Available options:
asc,
desc

Response

200 - application/json

Successful response

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="